function FCKeditor_OnComplete(editorInstance){   
    editorInstance.Events.AttachEvent('OnBlur', onEditorBlur);   
}    
function onEditorBlur(){     
    try{    
        var  oEditor = FCKeditorAPI.GetInstance("content");     
        if(!oEditor.IsDirty()) return;   
        var newDiv = document.createElement('div');   
        newDiv.innerHTML = oEditor.GetXHTML(true);   
        var imgs = newDiv.getElementsByTagName('img');    
        var srcs = [];   
        for(var i = 0; i < imgs.length; i++) {   
            var src = imgs[i].src;   
            srcs[srcs.length] = src.replace(getDomainName(), '');   
        }   
        addImageURL(srcs);   
    }catch(e){}     
}    
var domainName = '';   
function getDomainName(){     
    if('' != domainName) return domainName;   
    domainName = "http://" + window.location.host;     
    return domainName;   
}    
function addImageURL(srcs) {   
    var uploadImages = document.getElementById("uploadImages");   
    uploadImages.options.length = 0;   
    uploadImagesoptions.add(new Option('不选择',''));   
    for(var i = 0; i < srcs.length; i++) {   
        uploadImages.options.add(new Option(srcs[i],srcs[i]));   
    }   
}  


